Bug 1650423 - Switching to Grid/Tile/List view not possible on DPortGroup page
Summary: Switching to Grid/Tile/List view not possible on DPortGroup page
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.z
Assignee: Martin Hradil
QA Contact: Sudhir Mallamprabhakara
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 06:44 UTC by Niyaz Akhtar Ansari
Modified: 2019-12-18 18:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-18 18:27:15 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Grid/Tile/List (84.50 KB, image/png)
2018-11-16 06:44 UTC, Niyaz Akhtar Ansari
no flags Details

Description Niyaz Akhtar Ansari 2018-11-16 06:44:10 UTC
Created attachment 1506311 [details]
Grid/Tile/List

Description of problem:


Version-Release number of selected component (if applicable):
Version 5.10.0.24.20181113213923_03b81fd

How reproducible:
100%

Steps to Reproduce:
1.Add Provider(added infra)
2.Go to Compute -> Infrastructure->Networking 
3.From Switches accordion click on DPortGroup
4.Try to change view(Grid/Tile/List)

Actual results:
Grid/Tile/List view not working 

Expected results:


Additional info:

Comment 4 Martin Hradil 2019-02-26 10:22:00 UTC
Incorrect diagnosis.

The bug is not that G/T/L is not working when seeing the list of items under a port group.

The bug is that there should be no list of items under a port group - a textual summary of that port group should be shown.
(And textual summaries don't have a G/T/L switcher, which is why it isn't working.)

---

So...


Steps to Reproduce:
1.Add Provider(added infra)
2.Go to Compute -> Infrastructure->Networking 
3.From Switches accordion click on DPortGroup

Actual results:
a list + g/t/l switch is visible

Expected results:
port group details should be visible


Note You need to log in before you can comment on or make changes to this bug.